DLS::Connection Class Reference

Defines a connection within the synthesis model. More...

`#include <DLS.h>`

## Public Attributes

conn_src_t | Source
conn_trn_t | SourceTransform
bool | SourceInvert
bool | SourceBipolar
conn_src_t | Control
conn_trn_t | ControlTransform
bool | ControlInvert
bool | ControlBipolar
conn_dst_t | Destination
conn_trn_t | DestinationTransform
uint32_t | Scale

## Protected Member Functions

void | Init (conn_block_t *Header)
conn_block_t | ToConnBlock ()

## Detailed Description

Defines a connection within the synthesis model.

Definition at line 249 of file DLS.h.

## Constructor & Destructor Documentation

## Connection()

DLS::Connection::Connection | ( |  | ) |

inline protected

Definition at line 270 of file DLS.h.

## ~Connection()

virtual DLS::Connection::~Connection | ( |  | ) |

inline protected virtual

Definition at line 273 of file DLS.h.

## Member Function Documentation

## Init()

void DLS::Connection::Init | ( | conn_block_t * | Header | ) |

protected

Definition at line 76 of file DLS.cpp.

## ToConnBlock()

Connection::conn_block_t DLS::Connection::ToConnBlock | ( |  | ) |

protected

Definition at line 90 of file DLS.cpp.

## Member Data Documentation

## Control

conn_src_t DLS::Connection::Control

Definition at line 255 of file DLS.h.

## ControlBipolar

bool DLS::Connection::ControlBipolar

Definition at line 258 of file DLS.h.

## ControlInvert

bool DLS::Connection::ControlInvert

Definition at line 257 of file DLS.h.

## ControlTransform

conn_trn_t DLS::Connection::ControlTransform

Definition at line 256 of file DLS.h.

## Destination

conn_dst_t DLS::Connection::Destination

Definition at line 259 of file DLS.h.

## DestinationTransform

conn_trn_t DLS::Connection::DestinationTransform

Definition at line 260 of file DLS.h.

## Scale

uint32_t DLS::Connection::Scale

Definition at line 261 of file DLS.h.

## Source

conn_src_t DLS::Connection::Source

Definition at line 251 of file DLS.h.

## SourceBipolar

bool DLS::Connection::SourceBipolar

Definition at line 254 of file DLS.h.

## SourceInvert

bool DLS::Connection::SourceInvert

Definition at line 253 of file DLS.h.

## SourceTransform

conn_trn_t DLS::Connection::SourceTransform

Definition at line 252 of file DLS.h.

The documentation for this class was generated from the following files:

- DLS.h
- DLS.cpp